Bug 31721 - Listener performance
Listener performance
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: LDAP
unspecified
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 08:20 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-12 08:20:25 CEST
We should check if the listener performance is OK. I think it should not take more than 20 seconds to replicate 50 new containers.
Comment 1 Philipp Hahn univentionstaff 2013-07-18 13:54:42 CEST
svn42566: 10_ldap/43replication_performance

Currently 50 containers, 50 users, 50 groups.
Need ~40s.
Will fail on >60s.
Comment 2 Stefan Gohmann univentionstaff 2013-07-19 10:41:05 CEST
OK, the test look good.

As discussed a changelog entry is missing and the test should wait for the replication after the cleanup.

Last night one test failed because of a duplicated container name, if this will happen more often we should change the random generation:

http://jenkins.knut.univention.de:8080/view/Autotest/job/UCS%203.2%20Autotest%20MultiEnv/lastCompletedBuild/SambaVersion=s4,Systemrolle=slave/testReport/%28root%29/10_ldap_43replication_performance/Check_LDAP_replication_performance/?
Comment 3 Philipp Hahn univentionstaff 2013-07-19 12:58:28 CEST
t(In reply to Stefan Gohmann from comment #2)
> As discussed a changelog entry is missing and the test should wait for the
> replication after the cleanup.

svn42604: +undo wait_for_replication
ucs-test_4.0.75-2.531.201307191141

svn42610: The LDAP tests to check replication have ween improved

> Last night one test failed because of a duplicated container name, if this
> will happen more often we should change the random generation:

see lib/random.sh, which uses the bash internal $RANDOM variable.
Comment 4 Stefan Gohmann univentionstaff 2013-07-19 13:47:28 CEST
OK
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:42:03 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".